# Create notification channel POST /api/notifications/channels Content-Type: application/json Create a new notification channel (email or webhook) for the organization Reference: https://docs.elacity.ai/api-reference/elacity-prm-api/notifications/createchannel ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: openapi version: 1.0.0 paths: /notifications/channels: post: operationId: createchannel summary: Create notification channel description: >- Create a new notification channel (email or webhook) for the organization tags: - subpackage_notifications parameters: - name: X-API-Key in: header description: API key for programmatic access required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Notifications_createchannel_Response_200' requestBody: content: application/json: schema: type: object properties: orgSlug: type: string name: type: string enabled: type: boolean default: true config: $ref: >- #/components/schemas/NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig required: - orgSlug - name - config servers: - url: /api components: schemas: NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig0: type: object properties: type: description: Any type address: type: string format: email required: - type - address title: NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig0 NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig1: type: object properties: type: description: Any type url: type: string format: uri required: - type - url title: NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig1 NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig: oneOf: - $ref: >- #/components/schemas/NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig0 - $ref: >- #/components/schemas/NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig1 title: NotificationsChannelsPostRequestBodyContentApplicationJsonSchemaConfig Notifications_createchannel_Response_200: oneOf: - description: Any type - description: Any type title: Notifications_createchannel_Response_200 securitySchemes: apiKey: type: apiKey in: header name: X-API-Key description: API key for programmatic access ``` ## SDK Code Examples ```python import requests url = "https://api/notifications/channels" payload = { "orgSlug": "string", "name": "string", "config": { "address": "string" } } headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api/notifications/channels'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{"orgSlug":"string","name":"string","config":{"address":"string"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api/notifications/channels" payload := strings.NewReader("{\n \"orgSlug\": \"string\",\n \"name\": \"string\",\n \"config\": {\n \"address\": \"string\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api/notifications/channels") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"orgSlug\": \"string\",\n \"name\": \"string\",\n \"config\": {\n \"address\": \"string\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api/notifications/channels") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{\n \"orgSlug\": \"string\",\n \"name\": \"string\",\n \"config\": {\n \"address\": \"string\"\n }\n}") .asString(); ``` ```php request('POST', 'https://api/notifications/channels', [ 'body' => '{ "orgSlug": "string", "name": "string", "config": { "address": "string" } }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api/notifications/channels"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"orgSlug\": \"string\",\n \"name\": \"string\",\n \"config\": {\n \"address\": \"string\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [ "orgSlug": "string", "name": "string", "config": ["address": "string"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api/notifications/channels")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```